﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CASMAS' AND COLUMN_NAME = 'DELC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CASMAS_DELC')
BEGIN 
    PRINT 'Creating default constraint DF_CASMAS_DELC on table CASMAS' 
    ALTER TABLE [dbo].[CASMAS]
    ADD CONSTRAINT [DF_CASMAS_DELC] DEFAULT ((0)) FOR [DELC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CASMAS' AND COLUMN_NAME = 'SUPV' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CASMAS_SUPV')
BEGIN 
    PRINT 'Creating default constraint DF_CASMAS_SUPV on table CASMAS' 
    ALTER TABLE [dbo].[CASMAS]
    ADD CONSTRAINT [DF_CASMAS_SUPV] DEFAULT ((0)) FOR [SUPV]
END 
GO

